Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


CAn I install Photoshop older than 22.5?

Participant ,
Nov 03, 2021 Nov 03, 2021

Copy link to clipboard

Copied

I see only that one in "previouce versions"    . I updated it  accidently and  now a critical plugin:  EXR-IO  is not working anymore?    Can I re-istall what was  before it somehow?

TOPICS
Windows

Views

59

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 2 Correct answers

Adobe Community Professional , Nov 03, 2021 Nov 03, 2021
You can install previous versions via the Creative Cloud. Here's how: Install previous versions of your Creative Cloud apps The other versions available will only go back 1 major release (N-1). You may be able to reach out to Adobe Customer Care to get an older version (N-2). Here's more info: Creative Cloud Support Policy

Likes

Translate

Translate
Adobe Community Professional , Nov 03, 2021 Nov 03, 2021
What version of EXR-IO? I have version 2.05 working correctly in Photoshop 23.0 on Windows 10. Dave

Likes

Translate

Translate
Adobe Community Professional ,
Nov 03, 2021 Nov 03, 2021

Copy link to clipboard

Copied

You can install previous versions via the Creative Cloud. Here's how:

Install previous versions of your Creative Cloud apps

 

The other versions available will only go back 1 major release (N-1). You may be able to reach out to Adobe Customer Care to get an older version (N-2). Here's more info:

Creative Cloud Support Policy

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 03, 2021 Nov 03, 2021

Copy link to clipboard

Copied

LATEST

What version of EXR-IO? I have version 2.05 working correctly in Photoshop 23.0 on Windows 10.

 

Dave

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines